#
# spec file for package perl-MIME-EncWords
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MIME-EncWords
Version:        1.014.3
Release:        4.1
%define cpan_name MIME-EncWords
Summary:        deal with RFC 2047 encoded words (improved)
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MIME-EncWords/
Source:         http://www.cpan.org/authors/id/N/NE/NEZUMI/MIME-EncWords-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(MIME::Charset) >= 1.010.1
Requires:       perl(Encode) >= 1.98
Requires:       perl(MIME::Base64) >= 2.13
Requires:       perl(MIME::Charset) >= 1.010.1
Recommends:     perl(Unicode::String)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{perl_requires}

%description
Fellow Americans, you probably won't know what the hell this module is for.
Europeans, Russians, et al, you probably do. ':-)'.

For example, here's a valid MIME header you might get:

      From: =?US-ASCII?Q?Keith_Moore?= <moore@cs.utk.edu>
      To: =?ISO-8859-1?Q?Keld_J=F8rn_Simonsen?= <keld@dkuug.dk>
      CC: =?ISO-8859-1?Q?Andr=E9_?= Pirard <PIRARD@vm1.ulg.ac.be>
      Subject: =?ISO-8859-1?B?SWYgeW91IGNhbiByZWFkIHRoaXMgeW8=?=
       =?ISO-8859-2?B?dSB1bmRlcnN0YW5kIHRoZSBleGFtcGxlLg==?=
       =?US-ASCII?Q?.._cool!?=

The fields basically decode to (sorry, I can only approximate the Latin
characters with 7 bit sequences /o and 'e):

      From: Keith Moore <moore@cs.utk.edu>
      To: Keld J/orn Simonsen <keld@dkuug.dk>
      CC: Andr'e  Pirard <PIRARD@vm1.ulg.ac.be>
      Subject: If you can read this you understand the example... cool!

*Supplement*: Fellow Americans, Europeans, you probably won't know what the
hell this module is for. East Asians, et al, you probably do. '(^_^)'.

For example, here's a valid MIME header you might get:

      Subject: =?EUC-KR?B?sNTAuLinKGxhemluZXNzKSwgwvzB9ri7seIoaW1w?=
       =?EUC-KR?B?YXRpZW5jZSksILGzuLgoaHVicmlzKQ==?=

The fields basically decode to (sorry, I cannot approximate the non-Latin
multibyte characters with any 7 bit sequences):

      Subject: ???(laziness), ????(impatience), ??(hubris)

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc ARTISTIC Changes GPL README

%changelog
* Sat Sep 27 2014 opensuse@cboltz.de
- update to 1.014.3:
  * Fix: CPAN RT#99160: encode_mimewords() ignores the word "0".
- update Requires: according to Makefile.PL
* Mon Nov 11 2013 opensuse@cboltz.de
- update to 1.014.2:
  * No new features.
  * Reformat Changes file: CPAN RT#88096.
  * minor manpage updates
* Sun Aug 25 2013 opensuse@cboltz.de
- Update to 1.014.1:
  * Fix: CPAN RT#84295: MaxLineLen fixes to the value set at the first
    time.
  * Imp: encode_mimewords() supports UTF-16, UTF-32 and their flavors.
    They will be encoded as UTF-8.
  * Requires MIME-Charset >= 1.010.
  * Minor Fix: After ASCII words extending over multiple lines,
    line length was estimated shorter.  CPAN RT #79399.
  * see upstream changelog for all details
- add Recommends: perl(Unicode::String) (optionally used)
* Sat Nov 19 2011 coolo@suse.com
- update to 1.012.4
  * Chg: encode_mimewords(): 'B' was advantageous over 'Q' by 4/3 byte
  on average...
  * Updated address of FSF.
* Tue Jul 12 2011 opensuse@cboltz.de
- update to 1.012.3
  * created by cpanspec 1.78.03
* Sat Dec  4 2010 opensuse@cboltz.de
- re-packaged 1.012 using cpanspec 1.78.03
* Wed Dec  1 2010 opensuse@cboltz.de
- update to 1.012
* Fri Oct 31 2008 opensuse@cboltz.de
- initial package
